Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class ReplyActivity

    java.lang.Object
      org.apache.ode.bpel.compiler.SourceLocation
          org.apache.ode.bpel.compiler.bom.BpelObject
              org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
                  org.apache.ode.bpel.compiler.bom.Activity
                      org.apache.ode.bpel.compiler.bom.ReplyActivity

All Implemented Interfaces:
  Communication

    public class ReplyActivity

extends Activity
implements Communication

Representation of the BPEL `<reply>` activity.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`JoinFailureSuppressor.SuppressJoinFailure`

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`__suppressJoinFailure`

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`ReplyActivity(org.w3c.dom.Element el)`

Method Summary
`java.util.List<Correlation>` | `getCorrelations()`
`javax.xml.namespace.QName` | `getFaultName()` Get the fault name with which to reply.
`java.lang.String` | `getMessageExchangeId()` Get the optional message exchange identifier.
`java.lang.String` | `getOperation()` Get the operation for the communication.
`java.lang.String` | `getPartnerLink()` Get the partnerLink link on which to communicate.
`javax.xml.namespace.QName` | `getPortType()` Get the port type for the communication.
`java.lang.String` | `getVariable()` Get the variable containing the reply message.

Methods inherited from class org.apache.ode.bpel.compiler.bom.Activity
`getJoinCondition, getLinkSources, getLinkTargets, getName`

Methods inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`getSuppressJoinFailure`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReplyActivity

    public ReplyActivity(org.w3c.dom.Element el)

Method Detail

### getMessageExchangeId

    public java.lang.String getMessageExchangeId()

  Get the optional message exchange identifier.

  Returns:

### getFaultName

    public javax.xml.namespace.QName getFaultName()

  Get the fault name with which to reply.

  Returns:
    the fault name

### getVariable

    public java.lang.String getVariable()

  Get the variable containing the reply message.

  Returns:
    name of variable containing the reply message

### getOperation

    public java.lang.String getOperation()

  Description copied from interface: `Communication`
  Get the operation for the communication.

  Specified by:
    `getOperation` in interface `Communication`
  Returns:
    name of operation

### getPartnerLink

    public java.lang.String getPartnerLink()

  Description copied from interface: `Communication`
  Get the partnerLink link on which to communicate.

  Specified by:
    `getPartnerLink` in interface `Communication`
  Returns:
    name of the partner link

### getPortType

    public javax.xml.namespace.QName getPortType()

  Description copied from interface: `Communication`
  Get the port type for the communication. This property is optional as the partner link type implies a port type.

  Specified by:
    `getPortType` in interface `Communication`
  Returns:
    name of portType for the communication (or `null`)

### getCorrelations

    public java.util.List<Correlation> getCorrelations()

  Specified by:
    `getCorrelations` in interface `Communication`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD